# dbConnect MySQL database example(s) and testing tables
# Copyright (C) 2003 Johnathan Ingram, jingram@rogueware.org
#
# This library is free software; you can redistribute it and/or
#   modify it under the terms of the GNU Lesser General Public
#   License as published by the Free Software Foundation; either
#   version 2.1 of the License, or (at your option) any later version.
#
#   This library is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#   Lesser General Public License for more details.
#
#   You should have received a copy of the GNU Lesser General Public
#   License along with this library; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  US
#
#   Note: To create execute `cat ./databases.sql | mysql` as the root user
#         Once executed, can access the database using `mysql -DdbConnectDB -udbconnect -pletmein`
#
DROP DATABASE IF EXISTS dbConnectDB;
CREATE DATABASE dbConnectDB;

GRANT ALL PRIVILEGES 
  ON dbConnectDB.*
  TO dbconnect@localhost
  IDENTIFIED BY 'letmein'
;

GRANT ALL PRIVILEGES 
  ON dbConnectDB.*
  TO dbconnect@'%'
  IDENTIFIED BY 'letmein'
;
