-- dbConnect Postgresql database example(s) and testing tables
-- Copyright (C) 2003 Johnathan Ingram, jingram@rogueware.org
--
-- This library is free software; you can redistribute it and/or
--   modify it under the terms of the GNU Lesser General Public
--   License as published by the Free Software Foundation; either
--   version 2.1 of the License, or (at your option) any later version.
--
--   This library is distributed in the hope that it will be useful,
--   but WITHOUT ANY WARRANTY; without even the implied warranty of
--   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
--   Lesser General Public License for more details.
--
--   You should have received a copy of the GNU Lesser General Public
--   License along with this library; if not, write to the Free Software
--   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  US
--
--   Note: To create the database:
--          - Run the database.sql script against the template1 database as the PostgreSQL superuser. (Normally postgres)
--              su - postgres
--              cat database.sql | psql template1
--
--         To enable sockets, edit postgresql.conf
--         Sometimes found at /var/lib/pgsql/data/postgresql.conf
--            tcpip_socket = true
--
--         Remember to add the appropriate socket access to the pg_hba.conf file something as follows
--         Sometimes found at /var/lib/pgsql/data/pg_hba.conf
--           host    all     all     192.168.8.0     255.255.255.0   password
--           host    all     all     127.0.0.1       255.255.255.255 password
--
--         Once executed, can access the database using `psql -d dbconnectdb -U dbconnect`
--         Use the password "letmein"
--
CREATE USER dbconnect WITH PASSWORD 'letmein';

CREATE DATABASE dbConnectDB OWNER dbconnect;
